"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyServeSettings = void 0;
const helpers_1 = require("../webpack/helpers");
const containers_1 = require("./containers");
const eslint_1 = require("./eslint");
const fullScreenErrors_1 = require("./fullScreenErrors");
const hotRefresh_1 = require("./hotRefresh");
const loggingLevel_1 = require("./loggingLevel");
const openUrl_1 = require("./openUrl");
const reactProfiling_1 = require("./reactProfiling");
function applyServeSettings(config) {
    const settings = (0, helpers_1.getJSONFile)('fast-serve/config.json');
    (0, helpers_1.setDefaultServeSettings)(settings);
    (0, openUrl_1.applyOpenUrlSetting)(config, settings.serve);
    (0, fullScreenErrors_1.applyFullScreenErrors)(config, settings.serve);
    (0, loggingLevel_1.applyLoggingLevel)(config, settings.serve);
    (0, hotRefresh_1.applyhotRefresh)(config, settings.serve);
    (0, eslint_1.applyEslintSetting)(config, settings.serve);
    (0, reactProfiling_1.applyReactProfilingSetting)(config, settings.serve);
    (0, containers_1.applyContainersSetting)(config, settings.serve);
}
exports.applyServeSettings = applyServeSettings;
//# sourceMappingURL=index.js.map